質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.36%

  • Python 3.x

    2411questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • pip

    99questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

【Python】Homebrewでpython3.6.3をインストールしたがpip3がインストールされない

解決済

回答 1

投稿 2017/11/24 19:17 ・編集 2017/11/24 19:26

  • 評価
  • クリップ 0
  • VIEW 67

street

score 19

お世話になります。

TensorFlow導入に先立ち、
Homebrewを用いてpython3.6.3をインストールしましたがなぜかpip3がインストールされません。
pip3のインストール手順を調べたところapp-getを用いる事でインストールできる記載がありました。
しかしapp-getが入っているfinkをインストールしようとしましたがエラーとなりできませんでした。

■教えていただきたい事
Homebrewでpython3.6.3とpip3のインストールを成功させる方法
finkのエラー解消方法

環境およびエラー内容について記載致します。

【OS】
macOS High Sierra
Version 10.13.1

【バージョン、環境変数等】
$ python -V
Python 2.7.10
$ python3 -V
Python 3.6.3
$ which python
/usr/bin/python
$ which python3
/usr/local/bin/python3
$ cat ~/.bash_profile
export PATH=$PATH:$HOME/.nodebrew/current/bin
export PATH=/usr/local/bin:$PATH
$ cat ~/.zshrc 
export PATH=/usr/local/bin:/usr/local/share/python:$PATH
$ which pip
/usr/local/bin/pip
$ ls /usr/local/bin/pip
pip     pip2    pip2.7  
【finkインストールエラー】
$ ./bootstrap 

Fink must be installed and run with superuser (root) privileges. Fink can
automatically try to become root when it's run from a user account. Since
you're currently running this script as a normal user, the method you choose
will also be used immediately for this script. Available methods:

(1)    Use sudo
(2)    Use su
(3)    None, fink must be run as root

Choose a method: [1] 1

Password:
Checking package... looks good (fink-0.41.1).
Checking system... i386-apple-darwin17.2.0
Use of uninitialized value $gcc in regexp compilation at /Users/username/Downloads/fink-0.41.1/perlmod/Fink/Services.pm line 1365.
Use of uninitialized value $gcc in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/perlmod/Fink/Bootstrap.pm line 164.
This system was not released at the time this Fink release was made. 
Prerelease versions of Mac OS X might work with Fink, but there are no
guarantees.
Distribution: 10.13
Architecture: x86_64
Checking cc... looks good.
Checking make... looks good.
Checking head... looks good.
Verifying that installed Xcode Command Line Tools version is supported...
9.1.0.0.1.1508540944 is OK
Verifying that installed Xcode app version is supported...
Found Xcode version: 9.1 is OK.

It looks like you already have Fink installed in /sw, trying /sw3 instead.

WARNING: This is a non-standard location.

Please choose the path where Fink should be installed. Note that you will
normally be able to use a binary distribution only if you choose '/sw'. [/sw3] 

OK, installing into '/sw3'.

Creating directories...
/bin/mkdir -p -m755 /sw3
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 635, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 635, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 635, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 637, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 637, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 637, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 637, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 637, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 637, <STDIN> line 1.
/bin/mkdir -m755 /sw3/etc
/bin/mkdir -m755 /sw3/etc/alternatives
/bin/mkdir -m755 /sw3/etc/apt
/bin/mkdir -m755 /sw3/src
/bin/mkdir -m755 /sw3/fink
/bin/mkdir -m755 /sw3/fink/debs
/bin/mkdir -m755 /sw3/var
/bin/mkdir -m755 /sw3/var/lib
/bin/mkdir -m755 /sw3/var/lib/fink
/bin/mkdir -m755 /sw3/fink//stable
/bin/mkdir -m755 /sw3/fink//local
/bin/mkdir -m755 /sw3/fink//local/main
/bin/mkdir -m755 /sw3/fink//local/main/finkinfo
/bin/mkdir -m755 /sw3/fink//local/main/binary-darwin-x86_64
/bin/mkdir -m755 /sw3/fink//stable/main
/bin/mkdir -m755 /sw3/fink//stable/main/finkinfo
/bin/mkdir -m755 /sw3/fink//stable/main/binary-darwin-x86_64
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 653, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 653, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 653, <STDIN> line 1.
/usr/bin/sed -e "s,@ARV@,local," -e "s,@COMP@,main," -e "s,@ARCH@,x86_64," < Release > /sw3/fink//local/main/binary-darwin-x86_64/Release; /usr/bin/touch /sw3/fink//local/main/binary-darwin-x86_64/Packages; /usr/bin/gzip /sw3/fink//local/main/binary-darwin-x86_64/Packages
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 653, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 653, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in concatenation (.) or string at /Users/username/Downloads/fink-0.41.1/bootstrap line 653, <STDIN> line 1.
/usr/bin/sed -e "s,@ARV@,stable," -e "s,@COMP@,main," -e "s,@ARCH@,x86_64," < Release > /sw3/fink//stable/main/binary-darwin-x86_64/Release; /usr/bin/touch /sw3/fink//stable/main/binary-darwin-x86_64/Packages; /usr/bin/gzip /sw3/fink//stable/main/binary-darwin-x86_64/Packages
Use of uninitialized value $selfupdatetrees in string eq at /Users/username/Downloads/fink-0.41.1/bootstrap line 662, <STDIN> line 1.
Use of uninitialized value $selfupdatetrees in string at /Users/username/Downloads/fink-0.41.1/bootstrap line 663, <STDIN> line 1.
ERROR: Can't create symlink /sw3/fink/10.13

宜しくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

MACが無いので何とも言えませんが、pip3を入れるのはここのやり方で行けそうな気がします

# download and install setuptools
curl -O https://bitbucket.org/pypa/setuptools/raw/bootstrap/ez_setup.py
python3 ez_setup.py
# download and install pip
curl -O https://bootstrap.pypa.io/get-pip.py
python3 get-pip.py

投稿 2017/11/24 19:26

編集 2017/11/24 19:28

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/11/27 10:30

    有難うございます。
    リンクのpyファイルは参照することが来ませんでしたが、
    教えて頂いたURL先の内容を参考に進めたところ、インストールすることができました。

    ご回答していただき有難うございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.36%

関連した質問

同じタグがついた質問を見る

  • Python 3.x

    2411questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • pip

    99questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。